#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberReferrerRequest {
  #[prost(string, tag = "1")]
  pub member_id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberReferrerResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_referrer_response::Result>,
}
/// Nested message and enum types in `CreateMemberReferrerResponse`.
pub mod create_member_referrer_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_referrer:
      ::core::option::Option<crate::models::member_referrer::MemberReferrerModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberReferrersRequest {
  #[prost(string, repeated, tag = "1")]
  pub member_ids: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberReferrersResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_referrers_response::Result>,
}
/// Nested message and enum types in `CreateMemberReferrersResponse`.
pub mod create_member_referrers_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub member_referrers:
      ::prost::alloc::vec::Vec<crate::models::member_referrer::MemberReferrerModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberReferrersRequest {
  #[prost(message, optional, tag = "1")]
  pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
  #[prost(message, repeated, tag = "2")]
  pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
  #[prost(message, optional, tag = "3")]
  pub search: ::core::option::Option<list_member_referrers_request::Search>,
}
/// Nested message and enum types in `ListMemberReferrersRequest`.
pub mod list_member_referrers_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Search {
    #[prost(string, optional, tag = "1")]
    pub member_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(bool, optional, tag = "2")]
    pub can_use: ::core::option::Option<bool>,
    #[prost(string, optional, tag = "3")]
    pub memo_like: ::core::option::Option<::prost::alloc::string::String>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberReferrersResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_member_referrers_response::Result>,
}
/// Nested message and enum types in `ListMemberReferrersResponse`.
pub mod list_member_referrers_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(uint64, tag = "1")]
    pub total_count: u64,
    #[prost(message, repeated, tag = "2")]
    pub member_referrers:
      ::prost::alloc::vec::Vec<crate::models::member_referrer::MemberReferrerModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberReferrerRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberReferrerResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_referrer_response::Result>,
}
/// Nested message and enum types in `GetMemberReferrerResponse`.
pub mod get_member_referrer_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_referrer:
      ::core::option::Option<crate::models::member_referrer::MemberReferrerModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberReferrerByCodeRequest {
  #[prost(string, tag = "1")]
  pub code: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberReferrerByCodeResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_referrer_by_code_response::Result>,
}
/// Nested message and enum types in `GetMemberReferrerByCodeResponse`.
pub mod get_member_referrer_by_code_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_referrer:
      ::core::option::Option<crate::models::member_referrer::MemberReferrerModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberReferrerRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(bool, tag = "2")]
  pub can_use: bool,
  #[prost(string, optional, tag = "3")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberReferrerResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_referrer_response::Result>,
}
/// Nested message and enum types in `UpdateMemberReferrerResponse`.
pub mod update_member_referrer_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_referrer:
      ::core::option::Option<crate::models::member_referrer::MemberReferrerModel>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberReferrerRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberReferrerResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_referrer_response::Result>,
}
/// Nested message and enum types in `DeleteMemberReferrerResponse`.
pub mod delete_member_referrer_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberReferrersRequest {
  #[prost(string, repeated, tag = "1")]
  pub ids: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberReferrersResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_referrers_response::Result>,
}
/// Nested message and enum types in `DeleteMemberReferrersResponse`.
pub mod delete_member_referrers_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
