#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateSiteRequest {
  #[prost(string, tag = "1")]
  pub url: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "2")]
  pub name: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "3")]
  pub path: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(bool, tag = "4")]
  pub show: bool,
  #[prost(bool, tag = "5")]
  pub can_use: bool,
  #[prost(string, optional, tag = "6")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(uint64, optional, tag = "7")]
  pub expires_at: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateSiteResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_site_response::Result>,
}
/// Nested message and enum types in `CreateSiteResponse`.
pub mod create_site_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub site: ::core::option::Option<crate::models::site::Site>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListSitesRequest {
  #[prost(message, optional, tag = "1")]
  pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
  #[prost(message, repeated, tag = "2")]
  pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
  #[prost(message, optional, tag = "3")]
  pub search: ::core::option::Option<list_sites_request::Search>,
}
/// Nested message and enum types in `ListSitesRequest`.
pub mod list_sites_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Search {
    #[prost(string, optional, tag = "1")]
    pub url_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "2")]
    pub name_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(string, optional, tag = "3")]
    pub path_like: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(bool, optional, tag = "4")]
    pub show: ::core::option::Option<bool>,
    #[prost(bool, optional, tag = "5")]
    pub can_use: ::core::option::Option<bool>,
    #[prost(string, optional, tag = "6")]
    pub memo_like: ::core::option::Option<::prost::alloc::string::String>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListSitesResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_sites_response::Result>,
}
/// Nested message and enum types in `ListSitesResponse`.
pub mod list_sites_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(uint64, tag = "1")]
    pub total_count: u64,
    #[prost(message, repeated, tag = "2")]
    pub sites: ::prost::alloc::vec::Vec<crate::models::site::Site>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetSiteRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetSiteResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_site_response::Result>,
}
/// Nested message and enum types in `GetSiteResponse`.
pub mod get_site_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub site: ::core::option::Option<crate::models::site::Site>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateSiteRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub url: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "3")]
  pub name: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, optional, tag = "4")]
  pub path: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(bool, tag = "5")]
  pub show: bool,
  #[prost(bool, tag = "6")]
  pub can_use: bool,
  #[prost(string, optional, tag = "7")]
  pub memo: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(uint64, optional, tag = "8")]
  pub expires_at: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateSiteResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_site_response::Result>,
}
/// Nested message and enum types in `UpdateSiteResponse`.
pub mod update_site_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub site: ::core::option::Option<crate::models::site::Site>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteSiteRequest {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteSiteResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_site_response::Result>,
}
/// Nested message and enum types in `DeleteSiteResponse`.
pub mod delete_site_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
