const SUBJECT: &str = "bet.beteran.ss.bank";

pub const SUBJECT_CREATE_BANK: &str = const_format::concatcp!(SUBJECT, ".CreateBank");
pub const SUBJECT_LIST_BANKS: &str = const_format::concatcp!(SUBJECT, ".ListBanks");
pub const SUBJECT_GET_BANK: &str = const_format::concatcp!(SUBJECT, ".GetBank");
pub const SUBJECT_UPDATE_BANK: &str = const_format::concatcp!(SUBJECT, ".UpdateBank");
pub const SUBJECT_DELETE_BANK: &str = const_format::concatcp!(SUBJECT, ".DeleteBank");

/// subject = bet.beteran.ss.bank.CreateBank;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateBankRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<create_bank_request::Request>,
}
/// Nested message and enum types in `CreateBankRequest`.
pub mod create_bank_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub name: ::prost::alloc::string::String,
    #[prost(uint32, tag = "2")]
    pub sort_order: u32,
    #[prost(bool, tag = "3")]
    pub show: bool,
    #[prost(bool, tag = "4")]
    pub can_use: bool,
    #[prost(string, optional, tag = "5")]
    pub memo: ::core::option::Option<::prost::alloc::string::String>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateBankResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_bank_response::Result>,
}
/// Nested message and enum types in `CreateBankResponse`.
pub mod create_bank_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub bank: ::core::option::Option<crate::models::bank::Bank>,
  }
}
/// subject = bet.beteran.ss.bank.ListBanks;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListBanksRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<list_banks_request::Request>,
}
/// Nested message and enum types in `ListBanksRequest`.
pub mod list_banks_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(message, optional, tag = "1")]
    pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
    #[prost(message, repeated, tag = "2")]
    pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
    #[prost(message, optional, tag = "3")]
    pub search: ::core::option::Option<request::Search>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Search {
      #[prost(string, optional, tag = "1")]
      pub name_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(bool, optional, tag = "2")]
      pub show: ::core::option::Option<bool>,
      #[prost(bool, optional, tag = "3")]
      pub can_use: ::core::option::Option<bool>,
      #[prost(string, optional, tag = "4")]
      pub memo_like: ::core::option::Option<::prost::alloc::string::String>,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListBanksResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_banks_response::Result>,
}
/// Nested message and enum types in `ListBanksResponse`.
pub mod list_banks_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(uint64, tag = "1")]
    pub total_count: u64,
    #[prost(message, repeated, tag = "2")]
    pub banks: ::prost::alloc::vec::Vec<crate::models::bank::Bank>,
  }
}
/// subject = bet.beteran.ss.bank.GetBank
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetBankRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_bank_request::Request>,
}
/// Nested message and enum types in `GetBankRequest`.
pub mod get_bank_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetBankResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_bank_response::Result>,
}
/// Nested message and enum types in `GetBankResponse`.
pub mod get_bank_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub bank: ::core::option::Option<crate::models::bank::Bank>,
  }
}
/// subject = bet.beteran.ss.bank.UpdateBank
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateBankRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<update_bank_request::Request>,
}
/// Nested message and enum types in `UpdateBankRequest`.
pub mod update_bank_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(string, tag = "2")]
    pub name: ::prost::alloc::string::String,
    #[prost(uint32, tag = "3")]
    pub sort_order: u32,
    #[prost(bool, tag = "4")]
    pub show: bool,
    #[prost(bool, tag = "5")]
    pub can_use: bool,
    #[prost(string, optional, tag = "6")]
    pub memo: ::core::option::Option<::prost::alloc::string::String>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateBankResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_bank_response::Result>,
}
/// Nested message and enum types in `UpdateBankResponse`.
pub mod update_bank_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub bank: ::core::option::Option<crate::models::bank::Bank>,
  }
}
/// subject = bet.beteran.ss.bank.DeleteBank
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteBankRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<delete_bank_request::Request>,
}
/// Nested message and enum types in `DeleteBankRequest`.
pub mod delete_bank_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteBankResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_bank_response::Result>,
}
/// Nested message and enum types in `DeleteBankResponse`.
pub mod delete_bank_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
