const SUBJECT: &str = "bet.beteran.ss.member_referrer";
const EVENT_SUBJECT: &str = "bet.beteran.ss_event.member_referrer";

pub const SUBJECT_CREATE_MEMBER_REFERRER: &str =
  const_format::concatcp!(SUBJECT, ".CreateMemberReferrer");
pub const SUBJECT_CREATE_MEMBER_REFERRERS: &str =
  const_format::concatcp!(SUBJECT, ".CreateMemberReferrers");
pub const SUBJECT_LIST_MEMBER_REFERRERS: &str =
  const_format::concatcp!(SUBJECT, ".ListMemberReferrers");
pub const SUBJECT_GET_MEMBER_REFERRER: &str =
  const_format::concatcp!(SUBJECT, ".GetMemberReferrer");
pub const SUBJECT_GET_MEMBER_REFERRER_BY_CODE: &str =
  const_format::concatcp!(SUBJECT, ".GetMemberReferrerByCode");
pub const SUBJECT_UPDATE_MEMBER_REFERRER: &str =
  const_format::concatcp!(SUBJECT, ".UpdateMemberReferrer");
pub const SUBJECT_DELETE_MEMBER_REFERRER: &str =
  const_format::concatcp!(SUBJECT, ".DeleteMemberReferrer");
pub const SUBJECT_DELETE_MEMBER_REFERRERS: &str =
  const_format::concatcp!(SUBJECT, ".DeleteMemberReferrers");

/// subject = bet.beteran.ss.member_referrer.CreateMemberReferrer
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberReferrerRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<create_member_referrer_request::Request>,
}
/// Nested message and enum types in `CreateMemberReferrerRequest`.
pub mod create_member_referrer_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub member_id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberReferrerResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_referrer_response::Result>,
}
/// Nested message and enum types in `CreateMemberReferrerResponse`.
pub mod create_member_referrer_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_referrer:
      ::core::option::Option<crate::models::member_referrer::MemberReferrerModel>,
  }
}
/// subject = bet.beteran.ss.member_referrer.CreateMemberReferrers
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberReferrersRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<create_member_referrers_request::Request>,
}
/// Nested message and enum types in `CreateMemberReferrersRequest`.
pub mod create_member_referrers_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, repeated, tag = "1")]
    pub member_ids: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberReferrersResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_referrers_response::Result>,
}
/// Nested message and enum types in `CreateMemberReferrersResponse`.
pub mod create_member_referrers_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub member_referrers:
      ::prost::alloc::vec::Vec<crate::models::member_referrer::MemberReferrerModel>,
  }
}
/// subject = bet.beteran.ss.member_referrer.ListMemberReferrers
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberReferrersRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<list_member_referrers_request::Request>,
}
/// Nested message and enum types in `ListMemberReferrersRequest`.
pub mod list_member_referrers_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(message, optional, tag = "1")]
    pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
    #[prost(message, repeated, tag = "2")]
    pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
    #[prost(message, optional, tag = "3")]
    pub search: ::core::option::Option<request::Search>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Search {
      #[prost(string, optional, tag = "1")]
      pub member_id: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(bool, optional, tag = "2")]
      pub can_use: ::core::option::Option<bool>,
      #[prost(string, optional, tag = "3")]
      pub memo_like: ::core::option::Option<::prost::alloc::string::String>,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberReferrersResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_member_referrers_response::Result>,
}
/// Nested message and enum types in `ListMemberReferrersResponse`.
pub mod list_member_referrers_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(uint64, tag = "1")]
    pub total_count: u64,
    #[prost(message, repeated, tag = "2")]
    pub member_referrers:
      ::prost::alloc::vec::Vec<crate::models::member_referrer::MemberReferrerModel>,
  }
}
/// subject = bet.beteran.ss.member_referrer.GetMemberReferrer
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberReferrerRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_member_referrer_request::Request>,
}
/// Nested message and enum types in `GetMemberReferrerRequest`.
pub mod get_member_referrer_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberReferrerResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_referrer_response::Result>,
}
/// Nested message and enum types in `GetMemberReferrerResponse`.
pub mod get_member_referrer_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_referrer:
      ::core::option::Option<crate::models::member_referrer::MemberReferrerModel>,
  }
}
/// subject = bet.beteran.ss.member_referrer.GetMemberReferrerByCode
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberReferrerByCodeRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_member_referrer_by_code_request::Request>,
}
/// Nested message and enum types in `GetMemberReferrerByCodeRequest`.
pub mod get_member_referrer_by_code_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub code: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberReferrerByCodeResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_referrer_by_code_response::Result>,
}
/// Nested message and enum types in `GetMemberReferrerByCodeResponse`.
pub mod get_member_referrer_by_code_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_referrer:
      ::core::option::Option<crate::models::member_referrer::MemberReferrerModel>,
  }
}
/// subject = bet.beteran.ss.member_referrer.UpdateMemberReferrer
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberReferrerRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<update_member_referrer_request::Request>,
}
/// Nested message and enum types in `UpdateMemberReferrerRequest`.
pub mod update_member_referrer_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(bool, tag = "2")]
    pub can_use: bool,
    #[prost(string, optional, tag = "3")]
    pub memo: ::core::option::Option<::prost::alloc::string::String>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberReferrerResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_referrer_response::Result>,
}
/// Nested message and enum types in `UpdateMemberReferrerResponse`.
pub mod update_member_referrer_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_referrer:
      ::core::option::Option<crate::models::member_referrer::MemberReferrerModel>,
  }
}
/// subject = bet.beteran.ss.member_referrer.DeleteMemberReferrer
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberReferrerRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<delete_member_referrer_request::Request>,
}
/// Nested message and enum types in `DeleteMemberReferrerRequest`.
pub mod delete_member_referrer_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberReferrerResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_referrer_response::Result>,
}
/// Nested message and enum types in `DeleteMemberReferrerResponse`.
pub mod delete_member_referrer_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
/// subject = bet.beteran.ss.member_referrer.DeleteMemberReferrers
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberReferrersRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<delete_member_referrers_request::Request>,
}
/// Nested message and enum types in `DeleteMemberReferrersRequest`.
pub mod delete_member_referrers_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, repeated, tag = "1")]
    pub ids: ::prost::alloc::vec::Vec<::prost::alloc::string::String>,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberReferrersResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_referrers_response::Result>,
}
/// Nested message and enum types in `DeleteMemberReferrersResponse`.
pub mod delete_member_referrers_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
